CREATE TABLE CLIENTE (
ID_CLIENTE INTEGER NOT NULL PRIMARY KEY,
TIPO_PESSOA CHAR(1),
CNPJ_CPF VARCHAR(18),
RG_INSC_EST VARCHAR(20),
NOME VARCHAR(90),
CONTATO VARCHAR(20),
FONE_1 VARCHAR(13),
FAX VARCHAR(13),
RAMAL VARCHAR(5),
ENDERECO VARCHAR(100),
BAIRRO VARCHAR(30),
CIDADE VARCHAR(30),
ESTADO VARCHAR(2),
CEP VARCHAR(9),
EMAIL VARCHAR(50),
NASCIMENTO DATE,
OBSERVACAO VARCHAR(250)
);

CREATE GENERATOR GEN_ID_CLIENTE;

SET TERM ^ ;

CREATE TRIGGER TRIG_GEN_ID_CLIENTE FOR CLIENTE
ACTIVE BEFORE INSERT POSITION 0
AS
BEGIN
   NEW.ID_CLIENTE = gen_id(GEN_ID_CLIENTE,1);
END
 ^

COMMIT WORK ^
SET TERM ;^

